import express from 'express';
import { AdminChat } from './endpoints/admin-chat.rpc';
import { StaffChat } from './endpoints/staff-chat.rpc';
import { TesterChat } from './endpoints/tester-chat.rpc';
import { AOOCChat } from './endpoints/aooc-chat.rpc';
import { LeadChat } from './endpoints/lead-chat.rpc';

const RpcRouterChat = express.Router();

RpcRouterChat.put('/admin-chat', AdminChat);
RpcRouterChat.put('/staff-chat', StaffChat);
RpcRouterChat.put('/tester-chat', TesterChat);
RpcRouterChat.put('/aooc-chat', AOOCChat);
RpcRouterChat.put('/lead-chat', LeadChat);

export default RpcRouterChat;
